* =================================================================
APPEND WEALTH INDEX VARIABLES TO MICS SPSS DATA FILES
==================================================================


* =================================================================
*	Create temporary wealth index data file, to be merged onto all data files.
weight off.

delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.

sort cases by hh1 hh2.

rename variables (comscore = wscore) (ncomscor = windex5) (urbscore = wscoreu) (nurbscor = windex5u) (rurscore = wscorer) (nrurscor = windex5r).

save outfile="wealth.sav"
 /keep HH1 HH2 wscore windex5 wscoreu windex5u wscorer windex5r.

dataset close assets.


* =================================================================
*	Merging wealth index values to data files.

*	Household file hh.sav.
get file = 'hh.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
* Incomplete cases.
do if (hh9 <> 1).
recode wscore windex5 wscoreu windex5u wscorer windex5r (lo thru hi, sysmis, 0 = 0).
end if.
execute.
save outfile = 'hh.sav'.


*	Household listing (members) file hl.sav.
get file = 'hl.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
save outfile = 'hl.sav'.


*	Women's file wm.sav.
get file = 'wm.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
* Incomplete cases.
do if (wm7 <> 1).
recode wscore windex5 wscoreu windex5u wscorer windex5r (lo thru hi, sysmis, 0 = 0).
end if.
execute.
save outfile = 'wm.sav'.


*	Under-5 file ch.sav.
get file = 'ch.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
* Incomplete cases.
do if (uf9 <> 1).
recode wscore windex5 wscoreu windex5u wscorer windex5r (lo thru hi, sysmis, 0 = 0).
end if.
execute.
save outfile = 'ch.sav'.


*	Mosquito nets file tn.sav.
get file = 'tn.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
save outfile = 'tn.sav'.


*	Female genital cutting file fg.sav.
get file = 'fg.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
save outfile = 'fg.sav'.


*	Maternal mortality file mm.sav.
get file = 'mm.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
save outfile = 'mm.sav'.


*	Birth history file bh.sav.
get file = 'bh.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
save outfile = 'bh.sav'.


*	Men's file mn.sav.
get file = 'mn.sav'.
delete variables wscore.
delete variables windex5.
delete variables wscoreu.
delete variables windex5u.
delete variables wscorer.
delete variables windex5r.
sort cases by HH1 HH2.
match files
  /file = *
  /table = 'wealth.sav'
  /by HH1 HH2.
* Incomplete cases.
do if (mwm7 <> 1).
recode wscore windex5 wscoreu windex5u wscorer windex5r (lo thru hi, sysmis, 0 = 0).
end if.
execute.
save outfile = 'mn.sav'.


new file.



